%{?nodejs_find_provides_and_requires}
%global npm_name lodash._basecopy
%global rpm_npm_name lodash.basecopy

Summary:       The modern build of lodash’s baseCopy as a module
Name:          nodejs-%{rpm_npm_name}
Version:       3.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/lodash/lodash
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}
Provides:      nodejs-%{rpm_npm_name} = %{version}

%description
The modern build of lodash’s baseCopy as a module.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE.txt
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Dec 17 2015 Troy Dawson <tdawson@redhat.com> - 3.0.1-1
- Initial package
